# Changelog

## v0.4.5
- Ignore #nobot in bio if the user is also a member

## v0.4.4
- Fix some failing tests
- Lowercase the domain when normalizing an account

## v0.4.3
- Fix hashtag not working in a mention

## v0.4.2
- Fix URL fragment detected as hashtag

## v0.4.1
- "en" translation fixes
- add `messages.json`
- Config files are now parsed as JSON5 = comments are allowed

## v0.4.0
- Add a translation system using the `locales` folder
- Add more trace logging

## v0.3.0
- Changed config/storage format to directory-based, removed shared config mutex
- Made more options configurable (timeouts, catch-up limits, etc)
- Changed default log level to Debug, added `-q` to reduce it (opposite of `-v`)
- Code cleaning

## v0.2.8
- fix error processing statuses when a misskey poll has infinite run time

## v0.2.7
- Fix some wrong responses to admin commands
- Remove automatic announcements from some admin commands
- Send no reply to unauthorized admin commands
- Fix swapped `/opengroup` and `/closegroup` descriptions in help
- Add `/optout` and `/optin`
- Add `#nobot` checking when using the `/boost` command

## v0.2.6
- Allow boosting group hashtags when they are in a reply, except when it is private/DM 
  or contains actionable commands
- `/follow` and `/unfollow` are now aliases to `/add` and `/remove` (for users and tags)
- Add workaround for pleroma markdown processor eating trailing hashtags
- Command replies are now always DM again so we don't spam timelines

## v0.2.5
- Add `/undo` command
- Fix users joining via follow not marked as members

## v0.2.4
- make account lookup try harder

## v0.2.3
- `/add user` will now try to follow even if already a member

## v0.2.2
- All hashtags, server names and handles are now lowercased = case-insensitive
- Prevent the `-a` flag overwriting existing group in the config
- Update the help text
- `/i` now works in hashtag posts
- `/add user` and `/remove user` now correctly follow/unfollow

## v0.2.1
- More reliable websocket reconnect, workaround for pleroma socket going silent

## v0.2.0
- Add hashtag boosting and back-follow/unfollow
- Add hashtag commands
- Code reorganization
- Improve greeting messages
- Do not crash on unknown notification types (elefren patch)

## v0.1

This is the initial test release

.
